#include "jesd_csu_nr_7ds2u.h"
#include "jesd_csu.h"


int32_t jesd_csu_init_nr_7ds2u()
{
	jesd_csu_init(JESD_NR7DS2U_ANT_NUM, JESD_NR7DS2U_MARGIN);
	stJesdCsuNodePara txCsuNode[JESD_NR7DS2U_TX_NODENUM];
	stJesdCsuNodePara rxCsuNode[JESD_NR7DS2U_RX_NODENUM];
    //tx的链表地址
    uint32_t txListAddr = JESD_TX_LIST_ADDR; // 0x721F000; // 
    //rx的链表地址
    uint32_t rxListAddr = JESD_RX_LIST_ADDR; // 0x721F600; // 
	int32_t i = 0;

	// tx, slot0~6
	for (i = 0; i < (JESD_NR7DS2U_TX_NODENUM-1); i++)
	{
		if (0 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (1 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
		else if (2 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (3 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
	}
	// slot7, slots
	txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
	txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
	txCsuNode[i].allNum = ((LONGCP_SAM_CNT+5*SHORTCP_SAM_CNT)<<4);

	// rx list nodes
	// slot7, slots
	rxCsuNode[0].dataAddr = JESD_NR7DS2U_RX_SLOTS_DATA_ADDR;
	rxCsuNode[0].yStep = (SHORTCP_SAM_CNT*4)<<2;
	rxCsuNode[0].allNum = (SHORTCP_SAM_CNT*4)<<4;
	// slot8
	rxCsuNode[1].dataAddr = JESD_NR7DS2U_RX_SLOT_EVEN_DATA_ADDR;
	rxCsuNode[1].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
	rxCsuNode[1].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
	// slot9
	rxCsuNode[2].dataAddr = JESD_NR7DS2U_RX_SLOT_ODD_DATA_ADDR;
	rxCsuNode[2].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
	rxCsuNode[2].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
	
	jesd_csu_tx_list_init(txListAddr, JESD_NR7DS2U_TX_NODENUM, txCsuNode);
	jesd_csu_tx_dmaReg_Cfg(JESD_CSU_CH0, txListAddr, JESD_NR7DS2U_TX_NODENUM);
	jesd_csu_rx_list_init(rxListAddr, JESD_NR7DS2U_RX_NODENUM, rxCsuNode);
	jesd_csu_rx_dmaReg_Cfg(JESD_CSU_CH0, rxListAddr, JESD_NR7DS2U_RX_NODENUM);

	return 0;
}

int32_t jesd_csu_init_nr_7d2u()
{
	jesd_csu_init(JESD_NR7DS2U_ANT_NUM, JESD_NR7DS2U_MARGIN);
	stJesdCsuNodePara txCsuNode[JESD_NR7DS2U_TX_NODENUM];
	stJesdCsuNodePara rxCsuNode[JESD_NR7DS2U_RX_NODENUM];
    //tx的链表地址
    uint32_t txListAddr = JESD_TX_LIST_ADDR; // 0x721F000; // 
    //rx的链表地址
    uint32_t rxListAddr = JESD_RX_LIST_ADDR; // 0x721F600; // 
	int32_t i = 0;

	// tx, slot0~6
	for (i = 0; i < 14; i++)
	{
		if (0 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (1 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
		else if (2 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (3 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
	}

	// rx list nodes
	// slot7, slots
	rxCsuNode[0].dataAddr = JESD_NR7DS2U_RX_SLOTS_DATA_ADDR;
	rxCsuNode[0].yStep = (SHORTCP_SAM_CNT*4)<<2;
	rxCsuNode[0].allNum = (SHORTCP_SAM_CNT*4)<<4;
	// slot8
	rxCsuNode[1].dataAddr = JESD_NR7DS2U_RX_SLOT_EVEN_DATA_ADDR;
	rxCsuNode[1].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
	rxCsuNode[1].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
	// slot9
	rxCsuNode[2].dataAddr = JESD_NR7DS2U_RX_SLOT_ODD_DATA_ADDR;
	rxCsuNode[2].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
	rxCsuNode[2].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
	
	jesd_csu_tx_list_init(txListAddr, 14, txCsuNode);
	jesd_csu_tx_dmaReg_Cfg(JESD_CSU_CH0, txListAddr, 14);
	jesd_csu_rx_list_init(rxListAddr, JESD_NR7DS2U_RX_NODENUM, rxCsuNode);
	jesd_csu_rx_dmaReg_Cfg(JESD_CSU_CH0, rxListAddr, JESD_NR7DS2U_RX_NODENUM);

	return 0;
}

int32_t jesd_csu_init_nr_7d2u_slot0()
{
	jesd_csu_init(JESD_NR7DS2U_ANT_NUM, JESD_NR7DS2U_MARGIN);
	stJesdCsuNodePara txCsuNode[JESD_NR7DS2U_TX_NODENUM];
	stJesdCsuNodePara rxCsuNode[JESD_NR7DS2U_RX_NODENUM];
    //tx的链表地址
    uint32_t txListAddr = JESD_TX_LIST_ADDR; // 0x721F000; // 
    //rx的链表地址
    uint32_t rxListAddr = JESD_RX_LIST_ADDR; // 0x721F600; // 
	int32_t i = 0;

	// tx, slot0~6
	for (i = 0; i < 14; i++)
	{
		if (0 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (1 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
		else if (2 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (3 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
	}

	// rx list nodes
	// slot7, slots
	rxCsuNode[0].dataAddr = JESD_NR7DS2U_RX_SLOTS_DATA_ADDR;
	rxCsuNode[0].yStep = (SHORTCP_SAM_CNT*4)<<2;
	rxCsuNode[0].allNum = (SHORTCP_SAM_CNT*4)<<4;
	// slot8
	rxCsuNode[1].dataAddr = JESD_NR7DS2U_RX_SLOT_EVEN_DATA_ADDR;
	rxCsuNode[1].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
	rxCsuNode[1].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
	// slot9
	rxCsuNode[2].dataAddr = JESD_NR7DS2U_RX_SLOT_ODD_DATA_ADDR;
	rxCsuNode[2].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
	rxCsuNode[2].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
	
	jesd_csu_tx_list_init(txListAddr, 2, txCsuNode);
	jesd_csu_tx_dmaReg_Cfg(JESD_CSU_CH0, txListAddr, 2);
	jesd_csu_rx_list_init(rxListAddr, JESD_NR7DS2U_RX_NODENUM, rxCsuNode);
	jesd_csu_rx_dmaReg_Cfg(JESD_CSU_CH0, rxListAddr, JESD_NR7DS2U_RX_NODENUM);

	return 0;
}

int32_t jesd_csu_init_nr_7ds2u_iomode()
{
	jesd_csu_init(JESD_NR7DS2U_ANT_NUM, JESD_NR7DS2U_MARGIN);
	stJesdCsuNodePara txCsuNode[20];
	stJesdCsuNodePara rxCsuNode[20];
    //tx的链表地址
    uint32_t txListAddr = JESD_TX_LIST_ADDR; // 0x721F000; // 
    //rx的链表地址
    uint32_t rxListAddr = JESD_RX_LIST_ADDR; // 0x721F600; // 
	int32_t i = 0;

	// tx, slot0~9
	for (i = 0; i < 20; i++)
	{
		if (0 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (1 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
		else if (2 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (3 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
	}

	
	// rx, slot0~9
	for (i = 0; i < 10; i++)
	{
		if (0 == (i&1))
		{
			rxCsuNode[i].dataAddr = JESD_NR7DS2U_RX_SLOT_EVEN_DATA_ADDR;
			rxCsuNode[i].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
			rxCsuNode[i].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
		}
		else
		{
			rxCsuNode[i].dataAddr = JESD_NR7DS2U_RX_SLOT_ODD_DATA_ADDR;
			rxCsuNode[i].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
			rxCsuNode[i].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
		}
	}

	jesd_csu_tx_list_init(txListAddr, 20, txCsuNode);
	jesd_csu_tx_dmaReg_Cfg(JESD_CSU_CH0, txListAddr, 20);
	jesd_csu_rx_list_init(rxListAddr, 10, rxCsuNode);
	jesd_csu_rx_dmaReg_Cfg(JESD_CSU_CH0, rxListAddr, 10);

	return 0;
}

int32_t jesd_csu_init_nr_7ds2u_8t8r()
{
	jesd_csu_init(8, JESD_NR7DS2U_MARGIN);
	stJesdCsuNodePara txCsuNode[JESD_NR7DS2U_TX_NODENUM];
	stJesdCsuNodePara rxCsuNode[JESD_NR7DS2U_RX_NODENUM];
    //tx的链表地址
    uint32_t tx0ListAddr = JESD_TX_LIST_ADDR; 
    uint32_t tx1ListAddr = JESD_TX_LIST_ADDR + 0x800;
    //rx的链表地址
    uint32_t rx0ListAddr = JESD_RX_LIST_ADDR;
    uint32_t rx1ListAddr = JESD_RX_LIST_ADDR + 0x800; 
	int32_t i = 0;

	// tx, slot0~6
	for (i = 0; i < (JESD_NR7DS2U_TX_NODENUM-1); i++)
	{
		if (0 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (1 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_EVEN_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
		else if (2 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4);
		}
		else if (3 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2);
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4);
		}
	}
	// slot7, slots
	txCsuNode[i].dataAddr = JESD_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
	txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2);
	txCsuNode[i].allNum = ((LONGCP_SAM_CNT+5*SHORTCP_SAM_CNT)<<4);

	// rx list nodes
	// slot7, slots
	rxCsuNode[0].dataAddr = JESD_NR7DS2U_RX_SLOTS_DATA_ADDR;
	rxCsuNode[0].yStep = (SHORTCP_SAM_CNT*4)<<2;
	rxCsuNode[0].allNum = (SHORTCP_SAM_CNT*4)<<4;
	// slot8
	rxCsuNode[1].dataAddr = JESD_NR7DS2U_RX_SLOT_EVEN_DATA_ADDR;
	rxCsuNode[1].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
	rxCsuNode[1].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
	// slot9
	rxCsuNode[2].dataAddr = JESD_NR7DS2U_RX_SLOT_ODD_DATA_ADDR;
	rxCsuNode[2].yStep = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2;
	rxCsuNode[2].allNum = (LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4;
	
	jesd_csu_tx_list_init(tx0ListAddr, JESD_NR7DS2U_TX_NODENUM, txCsuNode);
	jesd_csu_tx_dmaReg_Cfg(JESD_CSU_CH0, tx0ListAddr, JESD_NR7DS2U_TX_NODENUM);
	jesd_csu_rx_list_init(rx0ListAddr, JESD_NR7DS2U_RX_NODENUM, rxCsuNode);
	jesd_csu_rx_dmaReg_Cfg(JESD_CSU_CH0, rx0ListAddr, JESD_NR7DS2U_RX_NODENUM);

	jesd_csu_tx_list_init(tx1ListAddr, JESD_NR7DS2U_TX_NODENUM, txCsuNode);
	jesd_csu_tx_dmaReg_Cfg(JESD_CSU_CH1, tx1ListAddr, JESD_NR7DS2U_TX_NODENUM);
	jesd_csu_rx_list_init(rx1ListAddr, JESD_NR7DS2U_RX_NODENUM, rxCsuNode);
	jesd_csu_rx_dmaReg_Cfg(JESD_CSU_CH1, rx1ListAddr, JESD_NR7DS2U_RX_NODENUM);

	return 0;
}

int32_t jesd_csu_init_nr_7ds2u_4t4r_98()
{
	jesd_csu_init(4, 4);
	stJesdCsuNodePara txCsuNode[JESD_NR7DS2U_TX_NODENUM];
	stJesdCsuNodePara rxCsuNode[JESD_NR7DS2U_RX_NODENUM];
    //tx的链表地址
    uint32_t tx0ListAddr = JESD_TX_LIST_ADDR; 
//    uint32_t tx1ListAddr = JESD_TX_LIST_ADDR + 0x800;
    //rx的链表地址
    uint32_t rx0ListAddr = JESD_RX_LIST_ADDR;
//    uint32_t rx1ListAddr = JESD_RX_LIST_ADDR + 0x800; 
	int32_t i = 0;

	// tx, slot0~6
	for (i = 0; i < (JESD_NR7DS2U_TX_NODENUM-1); i++)
	{
		if (0 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_98_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR; // JESD_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2)*2;
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4)*2;
		}
		else if (1 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_98_NR7DS2U_TX_SLOT_EVEN_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2)*2;
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4)*2;
		}
		else if (2 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_98_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2)*2;
			txCsuNode[i].allNum = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<4)*2;
		}
		else if (3 == (i&0x3))
		{
			txCsuNode[i].dataAddr = JESD_98_NR7DS2U_TX_SLOT_ODD_B7SYMBOL_ADDR;
			txCsuNode[i].yStep = ((7*SHORTCP_SAM_CNT)<<2)*2;
			txCsuNode[i].allNum = ((7*SHORTCP_SAM_CNT)<<4)*2;
		}
	}
	// slot7, slots
	txCsuNode[i].dataAddr = JESD_98_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR;
	txCsuNode[i].yStep = ((LONGCP_SAM_CNT+6*SHORTCP_SAM_CNT)<<2)*2;
	txCsuNode[i].allNum = ((LONGCP_SAM_CNT+5*SHORTCP_SAM_CNT)<<4)*2;

	// rx list nodes
	// slot7, slots
	rxCsuNode[0].dataAddr = JESD_98_NR7DS2U_RX_SLOTS_DATA_ADDR;
	rxCsuNode[0].yStep = ((SHORTCP_SAM_CNT*4)<<2)*2;
	rxCsuNode[0].allNum = ((SHORTCP_SAM_CNT*4)<<4)*2;
	// slot8
	rxCsuNode[1].dataAddr = JESD_98_NR7DS2U_RX_SLOT_EVEN_DATA_ADDR;
	rxCsuNode[1].yStep = ((LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2)*2;
	rxCsuNode[1].allNum = ((LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4)*2;
	// slot9
	rxCsuNode[2].dataAddr = JESD_98_NR7DS2U_RX_SLOT_ODD_DATA_ADDR;
	rxCsuNode[2].yStep = ((LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<2)*2;
	rxCsuNode[2].allNum = ((LONGCP_SAM_CNT + SHORTCP_SAM_CNT*13)<<4)*2;
	
	jesd_csu_tx_list_init(tx0ListAddr, JESD_NR7DS2U_TX_NODENUM, txCsuNode);
	jesd_csu_tx_dmaReg_Cfg(JESD_CSU_CH0, tx0ListAddr, JESD_NR7DS2U_TX_NODENUM);
	jesd_csu_rx_list_init(rx0ListAddr, JESD_NR7DS2U_RX_NODENUM, rxCsuNode);
	jesd_csu_rx_dmaReg_Cfg(JESD_CSU_CH0, rx0ListAddr, JESD_NR7DS2U_RX_NODENUM);

	return 0;
}
int32_t jesd_csu_start_nr_7ds2u()
{
	jesd_csu_start();

	return 0;
}

